## jsonrpc-glib 3.42.0

=== meson_options.txt ===

# Performance and debugging related options
option('enable_profiling', type: 'boolean', value: false)

# Support for multiple languages
option('with_introspection', type: 'boolean', value: true)
option('with_vapi', type: 'boolean', value: true)

option('enable_gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Jsonrpc-GLib')

option('enable_tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

# For subproject usage
option('package_subdir', type: 'string',
  description: 'Private sub-directory used when built as a subproject'
)

## jsonrpc-glib 3.26.1

=== debian/changelog ===
jsonrpc-glib (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Only watch for stable releases
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 17:46:35 -0400

jsonrpc-glib (3.26.0+20170912-1) unstable; urgency=medium

  * New upstream git snapshot to fix build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Sep 2017 11:52:52 -0400

jsonrpc-glib (3.26.0-2) unstable; urgency=medium

  * debian/rules:
    - Add 'export LC_ALL=C.UTF-8' to fix FTBFS on Debian buildds

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 20:52:45 -0400

jsonrpc-glib (3.26.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 20:00:43 -0400

jsonrpc-glib (3.25.92-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Sep 2017 18:50:59 -0400

jsonrpc-glib (3.25.3-2) unstable; urgency=medium

  * debian/copyright: Add copyright info for doc/ 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 13:22:43 -0400

jsonrpc-glib (3.25.3-1) unstable; urgency=low

  * Initial release (Closes: #871707)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 11:15:49 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: jsonrpc-glib
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 10.3),
               gnome-pkg-tools,
               gobject-introspection,
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libjson-glib-dev,
               meson (>= 0.38.1),
               valac
Standards-Version: 4.1.1
Homepage: https://people.gnome.org/~chergert/docs/jsonrpc-glib/
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/jsonrpc-glib.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/jsonrpc-glib.git/

Package: libjsonrpc-glib-1.0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: JSON-RPC library for GLib
 JSONRPC-GLib is a library for communicating as both a JSON-RPC client and
 server. Additionally, it supports upgrating connections to use GVariant for
 less runtime overhead.

Package: libjsonrpc-glib-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gir1.2-jsonrpc-1.0 (= ${binary:Version}),
         libjsonrpc-glib-1.0-0 (= ${binary:Version}),
         libjson-glib-dev,
         libglib2.0-dev,
Suggests: libjsonrpc-glib-doc
Description: JSON-RPC library for GLib - development files
 JSONRPC-GLib is a library for communicating as both a JSON-RPC client and
 server. Additionally, it supports upgrating connections to use GVariant for
 less runtime overhead.
 .
 This package contains the development files.

Package: libjsonrpc-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: JSON-RPC library for GLib - documentation
 JSONRPC-GLib is a library for communicating as both a JSON-RPC client and
 server. Additionally, it supports upgrating connections to use GVariant for
 less runtime overhead.
 .
 This package contains the API reference.

Package: gir1.2-jsonrpc-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for jsonrpc-glib
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# https://lists.debian.org/debian-devel/2017/09/msg00006.html
export LC_ALL=C.UTF-8

%:
	dh $@  --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable_gtk_doc=true \
		-Denable_tests=true \
		-Dwith_introspection=true \
		-Dwith_vapi=true \

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_missing:
	dh_missing --fail-missing

## jsonrpc-glib 3.28.0

=== debian/changelog ===
jsonrpc-glib (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Mar 2018 20:59:09 -0400

jsonrpc-glib (3.27.91-1) experimental; urgency=medium

  * New upstream development release
  * Disable parallel running of dh_auto_test to work around timing issues
  * Drop patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Feb 2018 22:34:14 -0500

jsonrpc-glib (3.27.90-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.40.1
  * Update library name for soname bump
  * debian/libjsonrpc-glib-1.0-1.symbols: Add new symbols
  * Cherry-pick commit to avoid test failure for unreliable test

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Feb 2018 11:53:05 -0500

jsonrpc-glib (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Build-Depend on debhelper >= 11.1.3 to automatically build with the
    C.UTF-8 locale

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 15:31:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: jsonrpc-glib
@@ -7,21 +7,21 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
                gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libjson-glib-dev,
-               meson (>= 0.38.1),
+               meson (>= 0.40.1),
                valac
 Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/jsonrpc-glib
+Vcs-Git: https://salsa.debian.org/gnome-team/jsonrpc-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/jsonrpc-glib/
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/jsonrpc-glib.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/jsonrpc-glib.git/
 
-Package: libjsonrpc-glib-1.0-0
+Package: libjsonrpc-glib-1.0-1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -38,7 +38,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gir1.2-jsonrpc-1.0 (= ${binary:Version}),
-         libjsonrpc-glib-1.0-0 (= ${binary:Version}),
+         libjsonrpc-glib-1.0-1 (= ${binary:Version}),
          libjson-glib-dev,
          libglib2.0-dev,
 Suggests: libjsonrpc-glib-doc

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@  --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable_gtk_doc=true \
		-Denable_tests=true \
		-Dwith_introspection=true \
		-Dwith_vapi=true \

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

# The stress test is sensitive to timing so disable parallel
# as suggested by hergertme
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --no-parallel
endif

## jsonrpc-glib 3.30.0

=== debian/changelog ===
jsonrpc-glib (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 10:48:39 -0400

jsonrpc-glib (3.29.91-1) experimental; urgency=medium

  * New upstream development release
  * debian/libjsonrpc-glib-1.0-1.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 10:03:52 -0400

jsonrpc-glib (3.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 09:56:25 -0400

jsonrpc-glib (3.28.0-2) unstable; urgency=medium

  * Add disable-unreliable-test.patch:
    test-stress sometimes fails on the Debian builders

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 20:01:11 -0400

## jsonrpc-glib 3.30.1

=== debian/changelog ===
jsonrpc-glib (3.30.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 10:20:55 -0500

jsonrpc-glib (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 10 Oct 2018 15:54:21 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libjson-glib-dev,
                meson (>= 0.40.1),
                valac
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/jsonrpc-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/jsonrpc-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/jsonrpc-glib/

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@  --with gnome,gir
@@ -23,6 +22,4 @@
 # The stress test is sensitive to timing so disable parallel
 # as suggested by hergertme
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test --no-parallel
-endif

## jsonrpc-glib 3.32.0

=== debian/changelog ===
jsonrpc-glib (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 18:58:14 -0400

jsonrpc-glib (3.31.91-1) experimental; urgency=medium

  * New upstream development release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 23 Feb 2019 13:02:15 -0500

## jsonrpc-glib 3.34.0

=== debian/changelog ===
jsonrpc-glib (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.49.2
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Bump Standards-Version to 4.4.0
  * Upload tot unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 19:16:50 -0400

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
-               gnome-pkg-tools,
-               gobject-introspection,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libjson-glib-dev,
-               meson (>= 0.40.1),
+               meson (>= 0.49.2),
                valac
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/jsonrpc-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/jsonrpc-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/jsonrpc-glib/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@  --with gnome,gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## jsonrpc-glib 3.38.0

=== debian/changelog ===
jsonrpc-glib (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Sep 2020 20:12:30 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@
@@ -16,9 +16,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 # The stress test is sensitive to timing so disable parallel
 # as suggested by hergertme
 override_dh_auto_test:

## jsonrpc-glib 3.40.0

=== debian/changelog ===
jsonrpc-glib (3.40.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Set export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 22 Sep 2021 19:54:25 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -16,7 +16,7 @@
                libjson-glib-dev,
                meson (>= 0.49.2),
                valac
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/jsonrpc-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/jsonrpc-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/jsonrpc-glib/

## jsonrpc-glib 3.42.0

=== debian/changelog ===
jsonrpc-glib (3.42.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:24:26 -0400

jsonrpc-glib (3.41.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 19:10:45 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gtk-doc-tools,
+               gi-docgen,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libjson-glib-dev,

## jsonrpc-glib 3.44.0

=== debian/changelog ===
jsonrpc-glib (3.44.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:27:16 +0000

jsonrpc-glib (3.44.0-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:54:11 +0000

jsonrpc-glib (3.44.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:13:02 +0000

jsonrpc-glib (3.44.0-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:12:04 -0400

jsonrpc-glib (3.44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:28:02 -0400

jsonrpc-glib (3.43.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 08:55:56 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: jsonrpc-glib
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -16,7 +17,7 @@
                libjson-glib-dev,
                meson (>= 0.49.2),
                valac
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/jsonrpc-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/jsonrpc-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/jsonrpc-glib/

## jsonrpc-glib 3.44.1

=== debian/changelog ===
jsonrpc-glib (3.44.1-2) unstable; urgency=medium

  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 17:50:23 -0400

jsonrpc-glib (3.44.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * Update Homepage
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 14:43:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,20 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: jsonrpc-glib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gi-docgen,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libjson-glib-dev,
                meson (>= 0.49.2),
                valac
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/jsonrpc-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/jsonrpc-glib.git
-Homepage: https://people.gnome.org/~chergert/docs/jsonrpc-glib/
+Homepage: https://gnome.pages.gitlab.gnome.org/jsonrpc-glib/jsonrpc-glib/
 
 Package: libjsonrpc-glib-1.0-1
 Architecture: any

## jsonrpc-glib 3.44.2

=== debian/changelog ===
jsonrpc-glib (3.44.2-1) unstable; urgency=medium

  * New upstream release
  * Update gir handling
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Aug 2025 23:22:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gi-docgen,
-               libgirepository1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection,
                libglib2.0-dev,
                libjson-glib-dev,
                meson (>= 0.49.2),
                valac
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/jsonrpc-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/jsonrpc-glib.git
 Homepage: https://gnome.pages.gitlab.gnome.org/jsonrpc-glib/jsonrpc-glib/
@@ -30,12 +32,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         gir1.2-jsonrpc-1.0 (= ${binary:Version}),
+Depends: ${gir:Depends},
+         ${misc:Depends},
          libjsonrpc-glib-1.0-1 (= ${binary:Version}),
          libjson-glib-dev,
          libglib2.0-dev,
+Provides: ${gir:Provides},
 Suggests: libjsonrpc-glib-doc
 Description: JSON-RPC library for GLib - development files
  JSONRPC-GLib is a library for communicating as both a JSON-RPC client and
@@ -48,8 +50,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: JSON-RPC library for GLib - documentation
  JSONRPC-GLib is a library for communicating as both a JSON-RPC client and
  server. Additionally, it supports upgrating connections to use GVariant for

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 %:
 	dh $@
@@ -13,9 +14,6 @@
 		-Dwith_introspection=true \
 		-Dwith_vapi=true \
 
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
-
 # The stress test is sensitive to timing so disable parallel
 # as suggested by hergertme
 override_dh_auto_test:
